libsigc++: sigc::retype_return_functor< void, T_functor > Struct Template Reference

libsigc++ 3.2.0

Public Member Functions | List of all members
sigc::retype_return_functor< void, T_functor > Struct Template Reference
Adaptors » retype(), retype_return()

Adaptor that performs a C-style cast on the return value of a functor. More...

`#include <sigc++/adaptors/retype_return.h>`

Inheritance diagram for sigc::retype_return_functor< void, T_functor >:
[legend]

## Public Member Functions
| retype_return_functor ()=default
| retype_return_functor (type_trait_take_t< T_functor > functor)
template<typename... T_arg>
void | operator() (T_arg... a)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor & functor)
| Constructs an adaptor that wraps the passed functor. More...

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

template<typename T_functor>
struct sigc::retype_return_functor< void, T_functor >

Adaptor that performs a C-style cast on the return value of a functor.

This template specialization is for a void return. It drops the return value of the functor it invokes. Use the convenience function sigc::hide_return() to create an instance of sigc::retype_return_functor<void>.

## Constructor & Destructor Documentation

## ◆ retype_return_functor() [1/2]

template <typename T_functor >

sigc::retype_return_functor< void, T_functor >::retype_return_functor | ( |  | ) |
| default

## ◆ retype_return_functor() [2/2]

template <typename T_functor >

sigc::retype_return_functor< void, T_functor >::retype_return_functor | ( | type_trait_take_t< T_functor > | functor | ) |
| inline

## Member Function Documentation

## ◆ operator()()

template <typename T_functor >
template <typename... T_arg>

void sigc::retype_return_functor< void, T_functor >::operator() | ( | T_arg... | a | ) |
| inline